package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class PerfEvalSyncCollection extends AbstractObjectCollection 
{
    public PerfEvalSyncCollection()
    {
        super(PerfEvalSyncInfo.class);
    }
    public boolean add(PerfEvalSyncInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(PerfEvalSyncCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(PerfEvalSyncInfo item)
    {
        return removeObject(item);
    }
    public PerfEvalSyncInfo get(int index)
    {
        return(PerfEvalSyncInfo)getObject(index);
    }
    public PerfEvalSyncInfo get(Object key)
    {
        return(PerfEvalSyncInfo)getObject(key);
    }
    public void set(int index, PerfEvalSyncInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(PerfEvalSyncInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(PerfEvalSyncInfo item)
    {
        return super.indexOf(item);
    }
}